<?php
/**
 * Theme functions and definitions
 *
 * @package Blog Gutener
 */

require get_stylesheet_directory() . '/inc/customizer/customizer.php';
require get_stylesheet_directory() . '/inc/customizer/loader.php';
require get_stylesheet_directory() . '/inc/child-functions.php';

if ( ! function_exists( 'blog_gutener_enqueue_styles' ) ) :
	/**
	 * @since Blog Gutener 1.0.0
	 */
	function blog_gutener_enqueue_styles() {
		$version = wp_get_theme()->parent()->get( 'Version' );
		$version_clean = str_replace( '.', '', $version );
		$version_int = (int)$version_clean;
		if( $version_int < 133 ){
			$parent_array = array(
				'bootstrap',
				'slick',
				'slicknav',
				'slick-theme',
				'font-awesome',
				'gutener-blocks',
				'gutener-google-font'
			);
		}else{
			$parent_array = array(
				'bootstrap',
				'slick',
				'slicknav',
				'slick-theme',
				'fontawesome',
				'gutener-blocks',
				'gutener-google-font'
			);
		}
		wp_enqueue_style( 'blog-gutener-style-parent', get_template_directory_uri() . '/style.css', $parent_array );
	}

endif;
add_action( 'wp_enqueue_scripts', 'blog_gutener_enqueue_styles', 1 );

function blog_gutener_setup() {
	remove_theme_support( 'custom-background' );
}
add_action( 'after_setup_theme', 'blog_gutener_setup', 99 );

add_theme_support( "title-tag" );
add_theme_support( 'automatic-feed-links' );
